# Uses of Class
org.jfree.chart3d.graphics2d.Fit2D

Packages that use Fit2D
Package
Description
org.jfree.chart3d.graphics2d
Utility classes related to 2D graphics.
org.jfree.chart3d.table
Classes and interfaces for constructing tables for display to the user.

## Uses of Fit2D in org.jfree.chart3d.graphics2d

Fields in org.jfree.chart3d.graphics2d declared as Fit2D
Modifier and Type
Field
Description
`static final Fit2D`
Fit2D.`BOTTOM_CENTER_NO_SCALING`
Fits a source rectangle to the bottom center of a target rectangle, without resizing it.
`static final Fit2D`
Fit2D.`BOTTOM_LEFT_NO_SCALING`
Fits a source rectangle to the bottom left of a target rectangle, without resizing it.
`static final Fit2D`
Fit2D.`BOTTOM_RIGHT_NO_SCALING`
Fits a source rectangle to the bottom right of a target rectangle, without resizing it.
`static final Fit2D`
Fit2D.`CENTER_LEFT_NO_SCALING`
Fits a source rectangle to the center left of a target rectangle, without resizing it.
`static final Fit2D`
Fit2D.`CENTER_NO_SCALING`
Aligns a source rectangle to the center of a target rectangle, without resizing it.
`static final Fit2D`
Fit2D.`CENTER_RIGHT_NO_SCALING`
Fits a source rectangle to the center right of a target rectangle, without resizing it.
`static final Fit2D`
Fit2D.`SCALE_TO_FIT_TARGET`
Scale the source rectangle to fit the target rectangle.
`static final Fit2D`
Fit2D.`TOP_CENTER_NO_SCALING`
Fits a source rectangle to the top center of a target rectangle, without resizing it.
`static final Fit2D`
Fit2D.`TOP_LEFT_NO_SCALING`
Fits a source rectangle to the top left of a target rectangle, without resizing it.
`static final Fit2D`
Fit2D.`TOP_RIGHT_NO_SCALING`
Fits a source rectangle to the top right of a target rectangle, without resizing it.
Methods in org.jfree.chart3d.graphics2d that return Fit2D
Modifier and Type
Method
Description
`static Fit2D`
Fit2D.`getNoScalingFitter(RefPt2D refPt)`
Returns a fitter for the specified reference point.

## Uses of Fit2D in org.jfree.chart3d.table

Methods in org.jfree.chart3d.table that return Fit2D
Modifier and Type
Method
Description
`Fit2D`
StandardRectanglePainter.`getImageFit()`
Returns the image fit specification.
Constructors in org.jfree.chart3d.table with parameters of type Fit2D
Modifier
Constructor
Description
``
`StandardRectanglePainter(Paint paint, Image image, Fit2D imageFit)`
Creates a new painter that will draw an image within the specified rectangle.